Holger's Java API

## com.antelmann.net
Class CGI.MultipartHandler

    java.lang.Object
      com.antelmann.net.CGI.MultipartHandler

All Implemented Interfaces:
  Handler<HttpURLConnection,IOException>

Enclosing class:
  CGI

    public static class CGI.MultipartHandler

extends Object
implements Handler<HttpURLConnection,IOException>

Constructor Summary
`CGI.MultipartHandler()`
`CGI.MultipartHandler(String charset)`

Method Summary
`void` `addFile(String fieldName, File file)`
`void` `addFormField(String fieldName, String value)`
`void` `addStream(String fieldName, InputStream stream)`
`void` `handle(Object source, HttpURLConnection con)` called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CGI.MultipartHandler

    public CGI.MultipartHandler()

### CGI.MultipartHandler

    public CGI.MultipartHandler(String charset)

Method Detail

### addFormField

    public void addFormField(String fieldName,
                             String value)

### addFile

    public void addFile(String fieldName,
                        File file)

### addStream

    public void addStream(String fieldName,
                          InputStream stream)

### handle

    public void handle(Object source,
                       HttpURLConnection con)
                throws IOException

  Description copied from interface: `Handler`
  called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

  Specified by:
    `handle` in interface `Handler<HttpURLConnection,IOException>`
  Parameters:
    `source` - the object that initiated this call-back
    `con` - the item to be handled by this instance
  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads